package main

import (
	"github.com/bluenviron/goroslib/v2/pkg/msgs/actionlib_msgs"
)

func Topic() string {
	return "/move_base/status"
}

func Label() string {
	return "navfailed"
}

func Rule(data *actionlib_msgs.GoalStatusArray) string {
	for _, status := range data.StatusList {
		if status.Status == 5 {
			return "navfailed"
		}
	}
	return ""
}
